GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Functions
geos::noding Namespace Reference

Classes to compute nodings for arrangements of line segments and line segment sequences. More...

## Namespaces
namespace | snapround
| Contains classes to implement the Snap Rounding algorithm for noding linestrings.

## Classes
class | BasicSegmentString
class | FastNodingValidator
| Validates that a collection of SegmentStrings is correctly noded. More...
class | FastSegmentSetIntersectionFinder
| Finds if two sets of SegmentStringss intersect. More...
class | IntersectionAdder
class | IntersectionFinderAdder
| Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes. More...
class | IteratedNoder
| Nodes a set of SegmentStrings completely. More...
class | MCIndexNoder
| Nodes a set of SegmentString using a index based on index::chain::MonotoneChain and a index::SpatialIndex. More...
class | MCIndexSegmentSetMutualIntersector
| Intersects two sets of SegmentStrings using a index based on MonotoneChains and a SpatialIndex. More...
class | NodableSegmentString
| An interface for classes which support adding nodes to a segment string. More...
class | NodedSegmentString
| Represents a list of contiguous line segments, and supports noding the segments. More...
class | Noder
| Computes all intersections between segments in a set of SegmentString. More...
class | NodingValidator
class | Octant
| Methods for computing and working with octants of the Cartesian plane. More...
class | OrientedCoordinateArray
| Allows comparing geom::CoordinateSequences in an orientation-independent way. More...
class | ScaledNoder
| Wraps a Noder and transforms its input into the integer domain. More...
class | SegmentIntersectionDetector
| Detects and records an intersection between two SegmentStrings, if one exists. More...
class | SegmentIntersector
| Processes possible intersections detected by a Noder. More...
class | SegmentNode
| Represents an intersection point between two NodedSegmentString. More...
class | SegmentNodeList
| A list of the SegmentNode present along a NodedSegmentString. More...
class | SegmentPointComparator
class | SegmentSetMutualIntersector
| An intersector for the red-blue intersection problem. More...
class | SegmentString
| An interface for classes which represent a sequence of contiguous line segments. More...
class | SegmentStringUtil
| Utility methods for processing SegmentStrings. More...
class | SimpleNoder
| Nodes a set of SegmentStrings by performing a brute-force comparison of every segment to every other one. More...
class | SingleInteriorIntersectionFinder
| Finds an interior intersection in a set of SegmentString, if one exists. Only the first intersection found is reported. More...
class | SinglePassNoder

## Typedefs
typedef SegmentIntersector | nodingSegmentIntersector
| Temporary typedef for namespace transition.

## Functions
bool | operator< (const OrientedCoordinateArray &oca1, const OrientedCoordinateArray &oca2)
| Strict weak ordering operator for OrientedCoordinateArray.
std::ostream & | operator<< (std::ostream &os, const SegmentNode &n)
std::ostream & | operator<< (std::ostream &os, const SegmentNodeList &l)
std::ostream & | operator<< (std::ostream &os, const SegmentString &ss)

## Detailed Description

Classes to compute nodings for arrangements of line segments and line segment sequences.

## Function Documentation

bool geos::noding::operator< | ( | const OrientedCoordinateArray & | oca1,
|  | const OrientedCoordinateArray & | oca2
| ) |  |
| inline

Strict weak ordering operator for OrientedCoordinateArray.

This is the C++ equivalent of JTS's compareTo

References geos::noding::OrientedCoordinateArray::compareTo().